Bug 1046491 - GLib: Cannot convert message: Could not open converter from 'UTF-8' to 'ANSI_X3.4-1968'
Summary: GLib: Cannot convert message: Could not open converter from 'UTF-8' to 'ANSI_...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gimp
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nils Philippsen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-25 19:45 UTC by Tom Horsley
Modified: 2015-02-17 19:46 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 19:46:41 UTC
Type: Bug


Attachments (Terms of Use)
compressed tar file with half of image collection (11.91 MB, application/octet-stream)
2013-12-25 19:56 UTC, Tom Horsley
no flags Details
compressed tar file with other half of image collection (8.46 MB, application/octet-stream)
2013-12-25 19:58 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2013-12-25 19:45:52 UTC
Description of problem:

Every time I try to open several images in gimp at once, I get this error:

GLib: Cannot convert message: Could not open converter from 'UTF-8' to 'ANSI_X3.4-1968'

(gimp:28435): GLib-ERROR **: gmem.c:165: failed to allocate 4096 bytes

(script-fu:28447): LibGimpBase-WARNING **: script-fu: gimp_wire_read(): error

I am nowhere near being out of memory, so that failed to allocate message seems
totally bogus. I can open any individual image and even open several images up to a certain point, then gimp blows up. It also usually reports:

[1]+  Trace/breakpoint trap   gimp 20131225_143113.jpg

which seems utterly weird.

I'm mostly working with images uploaded from my Samsung Galaxy Camera, so that is the source of all images involved.

Version-Release number of selected component (if applicable):
gimp-2.8.10-4.fc19.x86_64

How reproducible:
Every time.


Steps to Reproduce:
1.gimp 2*.jpg &
2.gimp blows up with the above message
3.

Actual results:
abort

Expected results:
edit images

Additional info:
I'll attach a collection of images which trigger this.

Comment 1 Tom Horsley 2013-12-25 19:56:35 UTC
Created attachment 841613 [details]
compressed tar file with half of image collection

This is the 1st 3 images of 6 total required to make gimp blow up. (The whole collection was a few bytes too big and hit bugzilla's limit).

Comment 2 Tom Horsley 2013-12-25 19:58:08 UTC
Created attachment 841614 [details]
compressed tar file with other half of image collection

Comment 3 Tom Horsley 2014-02-10 02:59:27 UTC
I found this pointer in a fedora mailing list entry:

https://bugzilla.gnome.org/show_bug.cgi?id=719619

doing a export MALLOC_MMAP_MAX_=0 does indeed make this bug go away.

Comment 4 Fedora End Of Life 2015-01-09 20:57:19 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Fedora End Of Life 2015-02-17 19:46:41 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.